#include<iostream>

using namespace std;

long long provera(long long a, long long b){

if(a<0 || b<0)
return 0;	
else
return 1;	
	
	
}

int main(){
	
long long u=0,n,m,a[100000],x[100000][1];	
	
cin >> n >> m;	
	
for(i=0;i<n;i++){

	cin >> a[i];

}
	
for(i=0;i<m;i++){

	long long a1,b;

	cin >> a1 >> b;

	a1=a1-1;
	b=b-1;

		if(provera(a[a1],a[b])==0){
	
			x[a1][1]++;
			x[b][1]++;
	
		}
		else{

			x[a1][0]++;
			x[b][0]++;
	
	
		}


}
	
	for(i=0;i<n;i++){
	
	u=u+a[i]*(x[i][0]-x[i][1]);
	
	
	
	}
	
	cout << u;
	
	return 0;
}